<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h4 class="modal-title" id="myReturItemLabel" jhiTranslate="mpmApp.returItem.home.createOrEditLabel">Create or edit a Retur Item</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!returItem.id">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id"
                   [(ngModel)]="returItem.id" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.returItem.idreturitem" for="field_idreturitem">Idreturitem</label>
            <input type="number" class="form-control" name="idreturitem" id="field_idreturitem"
                [(ngModel)]="returItem.idreturitem"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.returItem.idretur" for="field_idretur">Idretur</label>
            <input type="number" class="form-control" name="idretur" id="field_idretur"
                [(ngModel)]="returItem.idretur"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.returItem.productcode" for="field_productcode">Productcode</label>
            <input type="text" class="form-control" name="productcode" id="field_productcode"
                [(ngModel)]="returItem.productcode"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.returItem.productname" for="field_productname">Productname</label>
            <input type="text" class="form-control" name="productname" id="field_productname"
                [(ngModel)]="returItem.productname"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.returItem.uom" for="field_uom">Uom</label>
            <input type="text" class="form-control" name="uom" id="field_uom"
                [(ngModel)]="returItem.uom"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.returItem.qty" for="field_qty">Qty</label>
            <input type="number" class="form-control" name="qty" id="field_qty"
                [(ngModel)]="returItem.qty"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.returItem.price" for="field_price">Price</label>
            <input type="number" class="form-control" name="price" id="field_price"
                [(ngModel)]="returItem.price"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.returItem.totalprice" for="field_totalprice">totalprice</label>
            <input type="number" class="form-control" name="totalprice" id="field_totalprice"
                [(ngModel)]="returItem.totalprice"  />
        </div>

    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
